# std::atomic< void * > Struct Template Reference
[Atomics]

Explicit specialization for void*. More...

Inherits atomic_address.

List of all members.

## Public Types

- typedef atomic_address __base_type
- typedef void * __integral_type

## Public Member Functions

- atomic (__integral_type __i)
- atomic (const atomic &)
- atomic & operator= (const atomic &) volatile

## Detailed Description

### template<>
struct std::atomic< void * >

Explicit specialization for void*.

Definition at line 207 of file atomic.

The documentation for this struct was generated from the following file:

- atomic